//
//  BKPanel.h
//  Better Keyboard
//
//  Created by Jonas De Vuyst on 11/05/12.
//  Copyright (c) 2012 Jonas De Vuyst. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface KeyBar : UIScrollView<UITextViewDelegate>

// Installs a panel at textView.inputAccessoryView and a delegate at textView.delegate
// The old delegate (if any) is chained after the KeyBar one
+ (void)installForTextView:(UITextView *)textView;

// Uninstalls the input accessory view and restores the old delegate
+ (void)uninstallFromTextView:(UITextView *)textView;

@end
